MolDraw2D.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <Geometry/point.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/ChemReactions/Reaction.h>`

Go to the source code of this file.

## Classes

struct | RDKit::DrawColour
struct | RDKit::MolDrawOptions
class | RDKit::MolDraw2D
| MolDraw2D is the base class for doing 2D renderings of molecules. More...

## Namespaces

| RDKit
| Std stuff.

## Typedefs

typedef std::map< int, DrawColour > | RDKit::ColourPalette
typedef std::vector< unsigned int > | RDKit::DashPattern

## Functions

void | RDKit::assignDefaultPalette (ColourPalette &palette)
void | RDKit::assignBWPalette (ColourPalette &palette)